> For the complete documentation index, see [llms.txt](https://docs.buildings.ability.abb/collection/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.buildings.ability.abb/collection/english-v14/apps/apps/signify.md).

# Signify

The Signify app provides integration and synchronization between Eliona and Signify services.

### Overview

This manual provides instructions for configuring, installing, and using the Signify app to manage resources and synchronize data between Eliona and Signify services.

### Installation

Install the Signify app via the Eliona App Store.

### Configuration

The Signify app requires configuration through the Eliona settings. Below are the general steps and details required to configure the app effectively.

#### Registering the app in the Signify service

Create credentials in the Signify service to connect the Signify services from Eliona. All required credentials are listed below in the configuration section.

Go to the [Interact Lighting website](https://www.developer.interact-lighting.com/) and create an Eliona client to obtain the app key and secret required to access the API. In addition, you need to identify the service you want to connect, as this information is provided by Interact Lighting.

#### Configuration of the Signify app

Configurations can be created in Eliona under `Apps > Signify > Settings` created, thereby opening the [Generic Frontend](https://doc.eliona.io/collection/v/eliona-english/manuals/settings/apps) of the app. Here you can use the corresponding endpoint with the POST method. Each configuration requires the following data:

| Attribute         | Description                                                                       |
| ----------------- | --------------------------------------------------------------------------------- |
| `baseURL`         | Signify URL [API services](https://www.developer.interact-lighting.com/api-docs). |
| `app_key`         | The app key to identify the Eliona app.                                           |
| `app_secret`      | The app secret to authenticate the Eliona app.                                    |
| `service`         | The service name to identify the Interact Lighting service.                       |
| `service_id`      | The service ID to identify the Interact Lighting service.                         |
| `service_secret`  | The service secret to authenticate the Interact Lighting service.                 |
| `assetFilter`     | Filtering of assets during continuous asset creation.                             |
| `enable`          | Flag to enable or disable this configuration.                                     |
| `refreshInterval` | Interval in seconds for data synchronization.                                     |
| `requestTimeout`  | API query timeout in seconds.                                                     |
| `projectIDs`      | List of Eliona project IDs for data collection.                                   |

Example configuration JSON:

```json
{
  "baseUrl": "https://api.interact-lighting.com/",
  "service": "officeCloud",
  "serviceId": "secret@signify.com",
  "serviceSecret": "secret",
  "appKey": "foo",
  "appSecret": "secret",
  "enable": true,
  "refreshInterval": 120,
  "requestTimeout": 120,
  "active": true,
  "projectIDs": [
    "10"
  ]
}
```

### Continuous asset creation

After configuration, the app starts continuous asset creation (CAC). Discovered resources are automatically created as assets in Eliona, and users are notified via Eliona's notification system.

The created asset structure reflects the grouping of spaces in the Interact Lighting environment. The app supports Signify Space for humidity, occupancy, people counting, and temperature.

### Additional features

#### Dashboard templates

The app provides predefined dashboards that display the key information clearly. There is a dashboard for each type of Signify Spaces to group all spaces. You can create such a dashboard under `Dashboards > Copy Dashboard > From App > Signify ...` create:

* `Signify People Count`
* `Signify Occupancy`
* `Signify Temperature`
* `Signify Humidity`


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.buildings.ability.abb/collection/english-v14/apps/apps/signify.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
